Test::Int::Assignment Class Referenceabstract

Base class for assignments More...

`#include <int.hh>`

## Public Member Functions

| Assignment (int n0, const Gecode::IntSet &d0)
| Initialize assignments for n0 variables and values d0.
virtual bool | operator() (void) const =0
| Test whether all assignments have been iterated.
virtual void | operator++ (void)=0
| Move to next assignment.
virtual int | operator[] (int i) const =0
| Return value for variable i.
int | size (void) const
| Return number of variables.
virtual | ~Assignment (void)
| Destructor.

## Protected Attributes

int | n
| Number of variables.
Gecode::IntSet | d
| Domain for each variable.

## Detailed Description

Base class for assignments

Definition at line 59 of file int.hh.

## Constructor & Destructor Documentation

## Assignment()

Test::Int::Assignment::Assignment | ( | int | n0,
|  | const Gecode::IntSet & | d0 )

inline

Initialize assignments for n0 variables and values d0.

Definition at line 43 of file int.hpp.

## ~Assignment()

Test::Int::Assignment::~Assignment | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 50 of file int.hpp.

## Member Function Documentation

## operator()()

virtual bool Test::Int::Assignment::operator() | ( | void |  | ) | const

pure virtual

Test whether all assignments have been iterated.

Implemented in Test::Int::BinPacking::LoadBinAssignment, Test::Int::CpltAssignment, Test::Int::Cumulatives::CumulativeAssignment, Test::Int::RandomAssignment, and Test::Int::RandomMixAssignment.

## operator++()

virtual void Test::Int::Assignment::operator++ | ( | void |  | ) |

pure virtual

Move to next assignment.

Implemented in Test::Int::BinPacking::LoadBinAssignment, Test::Int::CpltAssignment, Test::Int::Cumulatives::CumulativeAssignment, Test::Int::RandomAssignment, and Test::Int::RandomMixAssignment.

## operator[]()

virtual int Test::Int::Assignment::operator[] | ( | int | i | ) | const

pure virtual

Return value for variable i.

Implemented in Test::Int::BinPacking::LoadBinAssignment, Test::Int::CpltAssignment, Test::Int::Cumulatives::CumulativeAssignment, Test::Int::RandomAssignment, and Test::Int::RandomMixAssignment.

## size()

int Test::Int::Assignment::size | ( | void |  | ) | const

inline

Return number of variables.

Definition at line 46 of file int.hpp.

## Member Data Documentation

## n

int Test::Int::Assignment::n

protected

Number of variables.

Definition at line 61 of file int.hh.

## d

Gecode::IntSet Test::Int::Assignment::d

protected

Domain for each variable.

Definition at line 62 of file int.hh.

The documentation for this class was generated from the following files:

- test/int.hh
- test/int.hpp